Subject: bug#14574: prog-prettify-symbols breaks font-locking

From: Juanma Barranquero <[email-masked]>
Date: Sun, 16 Jun 2013 12:11:20 +0200

On Sun, Jun 16, 2013 at 11:34 AM, Ted Zlatanov <[email-masked]> wrote:

> Or should it be lower level, where font-lock mode remembers "prettify"
> compositions as a text property?  That would work regardless of
> `prog-prettify-symbols-alist' and would not require an unload hook.  It
> would also work if we add prettification in other modes, not just
> `prog-mode'.

Yes, that's better IMHO. In fact, I like Dmitry's suggestion:

> Maybe we should make a font-lock-specific alias for `composition', like
> `font-lock-face' is for `face', and use that.

Seems the saner alternative if we are piggybacking into font-lock to
do composition...

   J